Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.document
Class AbstractJExcelView

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.springframework.web.servlet.view.document.AbstractJExcelView

All Implemented Interfaces:
  BeanNameAware, ApplicationContextAware, ServletContextAware, View

    public abstract class AbstractJExcelView

extends AbstractView

Convenient superclass for Excel document views.

This class uses the JExcelAPI instead of POI. More information on JExcelAPI can be found on their website.

Properties:

- url (optional): The url of an existing Excel document to pick as a starting point. It is done without localization part nor the .xls extension.

The file will be searched with locations in the following order:

- [url]_[language]_[country].xls
- [url]_[language].xls
- [url].xls

For working with the workbook in the subclass, see Java Excel API site

As an example, you can try this snippet:

     protected void buildExcelDocument(Map model, WritableWorkbook workbook, HttpServletRequest request,
                    HttpServletResponse response) {
            if (workbook.getNumberOfSheets() == 0) {
                    workbook.createSheet("Spring", 0);
            }

            WritableSheet sheet = workbook.getSheet("Spring");
            Label label = new Label(0, 0, "This is a nice label");
            sheet.addCell(label);
     }

The use of this view is close to the AbstractExcelView class, just using the JExcel API instead of the Apache POI API.

Since:
  1.2.5
Author:
  Bram Smeets, Alef Arendsen, Juergen Hoeller
See Also:
  `AbstractExcelView`, `AbstractPdfView`

Field Summary

Fields inherited from class org.springframework.web.servlet.view.AbstractView
`DEFAULT_CONTENT_TYPE`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`AbstractJExcelView()` Default Constructor.

Method Summary
`protected abstract void` | `buildExcelDocument(Map model, jxl.write.WritableWorkbook workbook, HttpServletRequest request, HttpServletResponse response)` Subclasses must implement this method to create an Excel Workbook document, given the model.
`protected jxl.Workbook` | `getTemplateSource(String url, HttpServletRequest request)` Create the workbook from an existing XLS document.
`protected void` | `renderMergedOutputModel(Map model, HttpServletRequest request, HttpServletResponse response)` Renders the Excel view, given the specified model.
`void` | `setUrl(String url)` Set the URL of the Excel workbook source, without localization part nor extension.

Methods inherited from class org.springframework.web.servlet.view.AbstractView
`addStaticAttribute, createRequestContext, exposeModelAsRequestAttributes, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getStaticAttributes, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setRequestContextAttribute, toString`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractJExcelView

    public AbstractJExcelView()

  Default Constructor. Sets the content type of the view to "application/vnd.ms-excel".

Method Detail

### setUrl

    public void setUrl(String url)

  Set the URL of the Excel workbook source, without localization part nor extension.

### renderMergedOutputModel

    protected final void renderMergedOutputModel(Map model,
                                                 HttpServletRequest request,
                                                 HttpServletResponse response)
                                          throws Exception

  Renders the Excel view, given the specified model.

  Specified by:
    `renderMergedOutputModel` in class `AbstractView`
  Parameters:
    `model` - combined output Map (never `null`), with dynamic values taking precedence over static attributes
    `request` - current HTTP request
    `response` - current HTTP response
  Throws:
    `Exception` - if rendering failed

### getTemplateSource

    protected jxl.Workbook getTemplateSource(String url,
                                             HttpServletRequest request)
                                      throws Exception

  Create the workbook from an existing XLS document.

  Parameters:
    `url` - the URL of the Excel template without localization part nor extension
    `request` - current HTTP request
  Returns:
    the template workbook
  Throws:
    `Exception` - in case of failure

### buildExcelDocument

    protected abstract void buildExcelDocument(Map model,
                                               jxl.write.WritableWorkbook workbook,
                                               HttpServletRequest request,
                                               HttpServletResponse response)
                                        throws Exception

  Subclasses must implement this method to create an Excel Workbook document, given the model.

  Parameters:
    `model` - the model Map
    `workbook` - the Excel workbook to complete
    `request` - in case we need locale etc. Shouldn't look at attributes.
    `response` - in case we need to set cookies. Shouldn't write to it.
  Throws:
    `Exception` - in case of failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.